Subject: bug#13324: Improvements to "dist" targets (was: Re: EXTRA_DIST, directories, tar --exclude-vcs)

From: Stefano Lattarini <[email-masked]>
Date: Thu, 03 Jan 2013 10:20:41 +0100

On 01/03/2013 01:57 AM, Karl Berry wrote:
>     That is already possible:
>     <http://www.gnu.org/software/automake/manual/automake.html#The-dist-Hook>
> 
> I see.  Given this, I propose merely changing the definition of am__tar
> to use variables.  Something like:
> 
> am__tar = $(TAR) $(TAR_OPTIONS) - "$$tardir"
> 
This might not always work, since, when the tar-pax or tar-ustar are used,
the a $(am__tar) is defined at configure time, and might even not invoke
tar at all, going through 'cpio' or 'pax' instead.

> where the actual definitions of TAR and TAR_OPTIONS remain as they are
> now (except possibly always using -options, as I'm replying to
> separately).
>
If we go down the route of using -chf instead of, one could simply
override $TAR altogether, bundling the required options in there, no?
Which is already possible as of today (when 'tar-pax' and 'tar-ustar'
aren't used, of course).  So less changes to implement and to document.

> That would make it easy for people to change or add
> anything they want to change, in various ways.
> 
> I'm not sure if "TAR" and "TAR_OPTIONS" would be the conventional
> names; any names would do, as far as I'm concerned.

Regards,
  Stefano